Name:		perl-Test-CheckDeps
Summary:	Check for presence of dependencies
Version:	0.004
Release:	1%{?dist}
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://metacpan.org/release/Test-CheckDeps
Source0:	http://cpan.metacpan.org/authors/id/L/LE/LEONT/Test-CheckDeps-%{version}.tar.gz 
BuildArch:	noarch
# Build
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.30
# Module
BuildRequires:	perl(CPAN::Meta)
BuildRequires:	perl(CPAN::Meta::Check)
BuildRequires:	perl(Exporter) >= 5.57
BuildRequires:	perl(List::Util)
BuildRequires:	perl(Test::Builder) >= 0.82
# Test Suite
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More) >= 0.88
# Release tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module adds a test that assures all dependencies have been installed
properly. If requested, it can bail out all testing on error.

%prep
%setup -q -n Test-CheckDeps-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%clean

%files
%doc Changes LICENSE README
%{perl_vendorlib}/Test/
%{_mandir}/man3/Test::CheckDeps.3pm*

%changelog
* Wed May 15 2013 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004
  - Sort dependencies before displaying them
  - check_dependencies() can now optionally also test recommended and suggested
    prerequisites
  - Reinstate loading of CPAN::Meta
- Kwalitee test dropped upstream to avoid circular deps, so longer need to
  BR: perl(Test::Kwalitee)
- No longer need perl(Module::Metadata)
- Bump perl(Test::Builder) version requirement to 0.82 for todo_start/todo_end

* Wed May  1 2013 Paul Howarth <paul@city-fan.org> - 0.002-2
- Sanitize for Fedora submission

* Sat Apr 27 2013 Paul Howarth <paul@city-fan.org> - 0.002-1
- Initial RPM version
